import requests
url = "https://{FUSION HOST}/api/custom-rule-types/{id}"
payload = {
"id": "<string>",
"display_type": "<string>",
"pipeline_id": "<string>",
"schema": {
"additionalProperties": {},
"category": "<string>",
"categoryPriority": 123,
"default": "<string>",
"definitions": {},
"description": "<string>",
"enum": [{}],
"hints": ["<string>"],
"maxProperties": 123,
"minProperties": 123,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": "<string>",
"category": "<string>",
"categoryPriority": 123,
"hints": ["<string>"],
"unsafe": True,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": ["<string>"],
"unsafe": True
}
]
}
],
"properties": {},
"propertyGroups": [
{
"label": "<string>",
"properties": ["<string>"]
}
],
"required": ["<string>"],
"title": "<string>",
"unsafe": True
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/custom-rule-types/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\",\n \"display_type\": \"<string>\",\n \"pipeline_id\": \"<string>\",\n \"schema\": {\n \"additionalProperties\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"default\": \"<string>\",\n \"definitions\": {},\n \"description\": \"<string>\",\n \"enum\": [\n {}\n ],\n \"hints\": [\n \"<string>\"\n ],\n \"maxProperties\": 123,\n \"minProperties\": 123,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": \"<string>\",\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true\n }\n ]\n }\n ],\n \"properties\": {},\n \"propertyGroups\": [\n {\n \"label\": \"<string>\",\n \"properties\": [\n \"<string>\"\n ]\n }\n ],\n \"required\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unsafe\": true\n }\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
display_type: '<string>',
pipeline_id: '<string>',
schema: {
additionalProperties: {},
category: '<string>',
categoryPriority: 123,
default: '<string>',
definitions: {},
description: '<string>',
enum: [{}],
hints: ['<string>'],
maxProperties: 123,
minProperties: 123,
oneOf: [
{
title: '<string>',
description: '<string>',
default: '<string>',
category: '<string>',
categoryPriority: 123,
hints: ['<string>'],
unsafe: true,
oneOf: [
{
title: '<string>',
description: '<string>',
default: {},
category: '<string>',
categoryPriority: 123,
hints: ['<string>'],
unsafe: true
}
]
}
],
properties: {},
propertyGroups: [{label: '<string>', properties: ['<string>']}],
required: ['<string>'],
title: '<string>',
unsafe: true
}
})
};
fetch('https://{FUSION HOST}/api/custom-rule-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/custom-rule-types/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\",\n \"display_type\": \"<string>\",\n \"pipeline_id\": \"<string>\",\n \"schema\": {\n \"additionalProperties\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"default\": \"<string>\",\n \"definitions\": {},\n \"description\": \"<string>\",\n \"enum\": [\n {}\n ],\n \"hints\": [\n \"<string>\"\n ],\n \"maxProperties\": 123,\n \"minProperties\": 123,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": \"<string>\",\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true\n }\n ]\n }\n ],\n \"properties\": {},\n \"propertyGroups\": [\n {\n \"label\": \"<string>\",\n \"properties\": [\n \"<string>\"\n ]\n }\n ],\n \"required\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unsafe\": true\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/custom-rule-types/{id}"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"display_type\": \"<string>\",\n \"pipeline_id\": \"<string>\",\n \"schema\": {\n \"additionalProperties\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"default\": \"<string>\",\n \"definitions\": {},\n \"description\": \"<string>\",\n \"enum\": [\n {}\n ],\n \"hints\": [\n \"<string>\"\n ],\n \"maxProperties\": 123,\n \"minProperties\": 123,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": \"<string>\",\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true\n }\n ]\n }\n ],\n \"properties\": {},\n \"propertyGroups\": [\n {\n \"label\": \"<string>\",\n \"properties\": [\n \"<string>\"\n ]\n }\n ],\n \"required\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unsafe\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/custom-rule-types/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'display_type' => '<string>',
'pipeline_id' => '<string>',
'schema' => [
'additionalProperties' => [
],
'category' => '<string>',
'categoryPriority' => 123,
'default' => '<string>',
'definitions' => [
],
'description' => '<string>',
'enum' => [
[
]
],
'hints' => [
'<string>'
],
'maxProperties' => 123,
'minProperties' => 123,
'oneOf' => [
[
'title' => '<string>',
'description' => '<string>',
'default' => '<string>',
'category' => '<string>',
'categoryPriority' => 123,
'hints' => [
'<string>'
],
'unsafe' => true,
'oneOf' => [
[
'title' => '<string>',
'description' => '<string>',
'default' => [
],
'category' => '<string>',
'categoryPriority' => 123,
'hints' => [
'<string>'
],
'unsafe' => true
]
]
]
],
'properties' => [
],
'propertyGroups' => [
[
'label' => '<string>',
'properties' => [
'<string>'
]
]
],
'required' => [
'<string>'
],
'title' => '<string>',
'unsafe' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://{FUSION HOST}/api/custom-rule-types/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"display_type": "<string>",
"pipeline_id": "<string>",
"schema": {
"additionalProperties": {},
"category": "<string>",
"categoryPriority": 123,
"default": "<string>",
"definitions": {},
"description": "<string>",
"enum": [
{}
],
"hints": [
"<string>"
],
"maxProperties": 123,
"minProperties": 123,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": "<string>",
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true
}
]
}
],
"properties": {},
"propertyGroups": [
{
"label": "<string>",
"properties": [
"<string>"
]
}
],
"required": [
"<string>"
],
"title": "<string>",
"unsafe": true
}
}
'{
"id": "<string>",
"display_type": "<string>",
"pipeline_id": "<string>",
"schema": {
"additionalProperties": {},
"category": "<string>",
"categoryPriority": 123,
"default": "<string>",
"definitions": {},
"description": "<string>",
"enum": [
{}
],
"hints": [
"<string>"
],
"maxProperties": 123,
"minProperties": 123,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": "<string>",
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": [
"<string>"
],
"unsafe": true
}
]
}
],
"properties": {},
"propertyGroups": [
{
"label": "<string>",
"properties": [
"<string>"
]
}
],
"required": [
"<string>"
],
"title": "<string>",
"unsafe": true
}
}Update a custom rule type
Use this endpoint to change a custom rule type’s attributes. The request is a JSON body containing the updated attributes.
import requests
url = "https://{FUSION HOST}/api/custom-rule-types/{id}"
payload = {
"id": "<string>",
"display_type": "<string>",
"pipeline_id": "<string>",
"schema": {
"additionalProperties": {},
"category": "<string>",
"categoryPriority": 123,
"default": "<string>",
"definitions": {},
"description": "<string>",
"enum": [{}],
"hints": ["<string>"],
"maxProperties": 123,
"minProperties": 123,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": "<string>",
"category": "<string>",
"categoryPriority": 123,
"hints": ["<string>"],
"unsafe": True,
"oneOf": [
{
"title": "<string>",
"description": "<string>",
"default": {},
"category": "<string>",
"categoryPriority": 123,
"hints": ["<string>"],
"unsafe": True
}
]
}
],
"properties": {},
"propertyGroups": [
{
"label": "<string>",
"properties": ["<string>"]
}
],
"required": ["<string>"],
"title": "<string>",
"unsafe": True
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.put("https://{FUSION HOST}/api/custom-rule-types/{id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\",\n \"display_type\": \"<string>\",\n \"pipeline_id\": \"<string>\",\n \"schema\": {\n \"additionalProperties\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"default\": \"<string>\",\n \"definitions\": {},\n \"description\": \"<string>\",\n \"enum\": [\n {}\n ],\n \"hints\": [\n \"<string>\"\n ],\n \"maxProperties\": 123,\n \"minProperties\": 123,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": \"<string>\",\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true\n }\n ]\n }\n ],\n \"properties\": {},\n \"propertyGroups\": [\n {\n \"label\": \"<string>\",\n \"properties\": [\n \"<string>\"\n ]\n }\n ],\n \"required\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unsafe\": true\n }\n}")
.asString();const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
display_type: '<string>',
pipeline_id: '<string>',
schema: {
additionalProperties: {},
category: '<string>',
categoryPriority: 123,
default: '<string>',
definitions: {},
description: '<string>',
enum: [{}],
hints: ['<string>'],
maxProperties: 123,
minProperties: 123,
oneOf: [
{
title: '<string>',
description: '<string>',
default: '<string>',
category: '<string>',
categoryPriority: 123,
hints: ['<string>'],
unsafe: true,
oneOf: [
{
title: '<string>',
description: '<string>',
default: {},
category: '<string>',
categoryPriority: 123,
hints: ['<string>'],
unsafe: true
}
]
}
],
properties: {},
propertyGroups: [{label: '<string>', properties: ['<string>']}],
required: ['<string>'],
title: '<string>',
unsafe: true
}
})
};
fetch('https://{FUSION HOST}/api/custom-rule-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{FUSION HOST}/api/custom-rule-types/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\",\n \"display_type\": \"<string>\",\n \"pipeline_id\": \"<string>\",\n \"schema\": {\n \"additionalProperties\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"default\": \"<string>\",\n \"definitions\": {},\n \"description\": \"<string>\",\n \"enum\": [\n {}\n ],\n \"hints\": [\n \"<string>\"\n ],\n \"maxProperties\": 123,\n \"minProperties\": 123,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": \"<string>\",\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true\n }\n ]\n }\n ],\n \"properties\": {},\n \"propertyGroups\": [\n {\n \"label\": \"<string>\",\n \"properties\": [\n \"<string>\"\n ]\n }\n ],\n \"required\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unsafe\": true\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{FUSION HOST}/api/custom-rule-types/{id}"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"display_type\": \"<string>\",\n \"pipeline_id\": \"<string>\",\n \"schema\": {\n \"additionalProperties\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"default\": \"<string>\",\n \"definitions\": {},\n \"description\": \"<string>\",\n \"enum\": [\n {}\n ],\n \"hints\": [\n \"<string>\"\n ],\n \"maxProperties\": 123,\n \"minProperties\": 123,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": \"<string>\",\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true,\n \"oneOf\": [\n {\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"default\": {},\n \"category\": \"<string>\",\n \"categoryPriority\": 123,\n \"hints\": [\n \"<string>\"\n ],\n \"unsafe\": true\n }\n ]\n }\n ],\n \"properties\": {},\n \"propertyGroups\": [\n {\n \"label\": \"<string>\",\n \"properties\": [\n \"<string>\"\n ]\n }\n ],\n \"required\": [\n \"<string>\"\n ],\n \"title\": \"<string>\",\n \"unsafe\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/custom-rule-types/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'display_type' => '<string>',
'pipeline_id' => '<string>',
'schema' => [
'additionalProperties' => [
],
'category' => '<string>',
'categoryPriority' => 123,
'default' => '<string>',
'definitions' => [
],
'description' => '<string>',
'enum' => [
[
]
],
'hints' => [
'<string>'
],
'maxProperties' => 123,
'minProperties' => 123,
'oneOf' => [
[
'title' => '<string>',
'description' => '<string>',
'default' => '<string>',
'category' => '<string>',
'categoryPriority' => 123,
'hints' => [
'<string>'
],
'unsafe' => true,
'oneOf' => [
[
'title' => '<string>',
'description' => '<string>',
'default' => [
],
'category' => '<string>',
'categoryPriority' => 123,
'hints' => [
'<string>'
],
'unsafe' => true
]
]
]
],
'properties' => [
],
'propertyGroups' => [
[
'label' => '<string>',
'properties' => [
'<string>'
]
]
],
'required' => [
'<string>'
],
'title' => '<string>',
'unsafe' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
An optional tag to match.
Path Parameters
The custom rule type ID.
Query Parameters
The app to which this object belongs, as app:SomeApp.
Body
The custom rule type ID. This value must be unique across all apps in Fusion (global namespace).
A user-friendly name for the custom rule type.
The ID of the pipeline that is invoked during rule processing.
Represents a structured object type definition used in the Experience Manager.
Show child attributes
Show child attributes
Response
OK
The custom rule type ID. This value must be unique across all apps in Fusion (global namespace).
A user-friendly name for the custom rule type.
The ID of the pipeline that is invoked during rule processing.
Represents a structured object type definition used in the Experience Manager.
Show child attributes
Show child attributes
Was this page helpful?